<?php
namespace Snog\Movies\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;

class Forum extends Entity
{
	public static function getStructure(Structure $structure)
	{
		$structure->table = 'xf_snog_movies_forum';
		$structure->shortName = 'Snog\Movies:Forum';
		$structure->contentType = 'movieforum';
		$structure->primaryKey = 'node_id';
		$structure->columns = [
				'node_id' => ['type' => self::UINT],
				'tmdb_genre' => ['type' => self::SERIALIZED_ARRAY, 'default' => []],
		];

		$structure->relations = [
				'Node' => [
						'entity' => 'XF:Node',
						'type' => self::TO_ONE,
						'conditions' => 'node_id',
						'primary' => true
				],
		];

		return $structure;
	}

	protected function _postSave()
	{
	}

	protected function _preSave()
	{

	}
}