<?php

namespace Snog\Movies\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;

class Movie extends Entity
{
	public function getImageUrl($sizeCode, $noposter = null, $canonical = true)
	{
		$app = \XF::app();
		if ($sizeCode == 'l')
		{
			if (!$noposter)
			{
				return $app->applyExternalDataUrl("movies/LargePosters{$this->tmdb_image}", $canonical);
			}
			else
			{
				return $app->applyExternalDataUrl("movies/LargePosters/no-poster,jpg", $canonical);
			}
		}

		if ($sizeCode == 's')
		{
			if (!$noposter)
			{
				return $app->applyExternalDataUrl("movies/SmallPosters{$this->tmdb_image}", $canonical);
			}
			else
			{
				return $app->applyExternalDataUrl("movies/SmallPosters/no-poster,jpg", $canonical);
			}
		}

		return null;
	}

	public static function getStructure(Structure $structure)
	{
		$structure->table = 'xf_snog_movies_thread';
		$structure->shortName = 'Snog\Movies:Movie';
		$structure->contentType = 'movie';
		$structure->primaryKey = 'thread_id';
		$structure->columns = [
			'thread_id' => ['type' => self::UINT],
			'tmdb_id' => ['type' => self::UINT, 'default' => 0],
			'tmdb_title' => ['type' => self::STR, 'default' => ''],
			'tmdb_plot' => ['type' => self::STR, 'default' => ''],
			'tmdb_image' => ['type' => self::STR, 'default' => ''],
			'tmdb_genres' => ['type' => self::STR, 'default' => ''],
			'tmdb_director' => ['type' => self::STR, 'default' => ''],
			'tmdb_cast' => ['type' => self::STR, 'default' => ''],
			'tmdb_release' => ['type' => self::STR, 'default' => ''],
			'tmdb_tagline' => ['type' => self::STR, 'default' => ''],
			'tmdb_runtime' => ['type' => self::UINT, 'default' => 0],
			'tmdb_rating' => ['type' => self::FLOAT, 'default' => 0],
			'tmdb_votes' => ['type' => self::UINT, 'default' => 0],
			'tmdb_trailer' => ['type' => self::STR, 'default' => ''],
			'comment' => ['type' => self::STR, 'default' => ''],
		];

		return $structure;
	}

	protected function _postSave()
	{
	}

	protected function _preSave()
	{

	}
}