<?php

namespace Snog\Movies\XF\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;

class Forum extends XFCP_Forum
{
	public static function getStructure(Structure $structure)
	{
		$structure = parent::getStructure($structure);
	
		$structure->relations['Movieforum'] = [
				'entity' => 'Snog\Movies:Forum',
				'type' => entity::TO_ONE,
				'conditions' => 'node_id',
				'primary' => true
		];
		
		$structure->columns['default_sort_order'] = ['type' => self::STR, 'default' => 'last_post_date',
						'allowedValues' => ['title', 'post_date', 'reply_count', 'view_count', 'last_post_date', 'Movie.tmdb_rating']
		];
		
		$structure->defaultWith[] = 'Movieforum';
	
		return $structure;
	}
}