<?php

namespace Snog\Movies\XF\Pub\Controller;

use XF\Mvc\ParameterBag;

class Thread extends XFCP_Thread
{
	public function actionIndex(ParameterBag $params)
	{
		$view = parent::actionIndex($params);

		if (get_class($view) == 'XF\Mvc\Reply\View')
		{
			$visitor = \XF::visitor();
			$canAddInfo = false;
			$groups = $visitor->secondary_group_ids;
			$groups[] = $visitor->user_group_id;
			$checkGroups = array_intersect($groups, $this->options()->tmdbthreads_addgroups);
			if (!empty($checkGroups)) $canAddInfo = true;
			$view->setParam('canAddInfo', $canAddInfo);
		}

		return $view;
	}

	public function actionPreview(ParameterBag $params)
	{
		// HAVE TO QUERY FOR VIEWABLE TO GET THE NODE ID
		$thread = $this->assertViewableThread($params->thread_id, ['FirstPost']);
		if (!in_array($thread->node_id, $this->options()->tmdbthreads_forum) || !isset($thread->Movie->tmdb_plot)) return parent::actionPreview($params);
		$firstPost['user'] = $thread->user_id;
		$firstPost['message'] = $thread->Movie->tmdb_plot;
		$viewParams = ['thread' => $thread, 'firstPost' => $firstPost];
		return $this->view('XF:Thread\Preview', 'thread_preview', $viewParams);
	}

	protected function getThreadViewExtraWith()
	{
		$extraWith = parent::getThreadViewExtraWith();
		$extraWith[] = 'Movie';
		return $extraWith;
	}
}