<?php

namespace Snog\Movies\XF\Service\Thread;

use XF\Util\File;

class Deleter extends XFCP_Deleter
{
	public function delete($type, $reason = '')
	{
		$app = \XF::app();

		if (in_array($this->thread->node_id, $app->options()->tmdbthreads_forum) && $this->thread->discussion_type !== 'redirect' && $type == 'hard')
		{
			$movie = $this->finder('Snog\Movies:Movie')->where('thread_id', $this->thread->thread_id)->fetchOne();

			if ($movie)
			{
				$moviId = $movie->tmdb_id;
				$image = $movie->tmdb_image;
				$movie->delete();

				$movies = $this->finder('Snog\Movies:Movie')->where('tmdb_id', $moviId)->fetch();

				if ($movies)
				{
					foreach ($movies as $movie)
					{
						$movie->delete();
					}
				}

				$path = sprintf('data://movies/LargePosters%s', $image);
				File::deleteFromAbstractedPath($path);

				$path = sprintf('data://movies/SmallPosters%s', $image);
				File::deleteFromAbstractedPath($path);
			}
		}

		return parent::delete($type, $reason);
	}
}